const invoiceType = [
  { code: "1", name: "发票未核销" },
  { code: "2", name: "发票部分核销" },
  { code: "3", name: "发票全部核销" },
];
const capitalType = [
  { code: "1", name: "资金未核销" },
  { code: "2", name: "资金部分核销" },
  { code: "3", name: "资金全部核销" },
];
const orderType = [
  { code: "1", name: "确认单未核销" },
  { code: "2", name: "确认单部分核销" },
  { code: "3", name: "确认单全部核销" },
];
const capitalFlowType = [
  { code: "1", name: "未认领" },
  { code: "2", name: "待审核" },
  { code: "3", name: "认领完成" },
  { code: "4", name: "审核驳回" },
]

const relationType = [
  { code: "1", name: "待审核" },
  { code: "2", name: "审核驳回" },
  { code: "3", name: "关联完成" },
]
const relationBasisType = [
  { code: "2", name: "确认单=>资金" },
  { code: "3", name: "资金=>确认单" },
  // { code: "4", name: "发票=>资金" },
  // { code: "5", name: "资金=>发票" },
]
const RQList = [
  { code: "1", name: "确认单=>发票", },
  { code: "2", name: "确认单=>资金", },
  { code: "3", name: "资金=>确认单", },
  { code: "4", name: "发票=>资金", },
  { code: "5", name: "资金=>发票", },
]
const relationList = [
  { code: "2", name: "确认单=>资金", active: ['order', 'capital'], orderType: ["", "4", ""], capitalType: ["4", "", ""], invoiceType: ["", "", ""], onces: [true, false, false] },
  { code: "3", name: "资金=>确认单", active: ['capital', 'order'], orderType: ["", "4", ""], capitalType: ["4", "", ""], invoiceType: ["", "", ""], onces: [false, true, false] },
  { code: "4", name: "发票=>资金", active: ['invoice', 'capital'], orderType: ["", "", ""], capitalType: ["", "", "4"], invoiceType: ["", "4", ""], onces: [false, false, true] },
  { code: "5", name: "资金=>发票", active: ['capital', 'invoice'], orderType: ["", "", ""], capitalType: ["", "", "4"], invoiceType: ["", "4", ""], onces: [false, true, false] },
]
const queryBasisList = [
  { code: "1", name: "确认单", active: ['capital', 'order', 'invoice'] },
  { code: "2", name: "发票", active: ['capital', 'invoice', 'order',] },
  { code: "3", name: "资金", active: ['order', 'capital', 'invoice'] },

]
const platform = [
  '优选商城', '印刷系统', '客服部', '泰康小卖部', '特殊订单', '积分商城', '网络部', '采购部', '销售部', '项目部', '预付卡'
]

export {
  invoiceType,
  capitalType,
  orderType,
  capitalFlowType,
  relationType,
  RQList,
  relationBasisType,
  relationList,
  queryBasisList,
  platform
};
