
const columns = [
    {
        type: "expand",
        label: "",
        _slot_: "expand",
    },
    { type: "selection", fixed: "left", _noset_: true, width: "50" },
    {
        prop: "cgdNO",
        label: "采购单编号",
        width: "145",
    },
    {
        prop: "goodNo",
        label: "商品编号",
        width: "125",
    },
    {
        prop: "purchasePrice",
        label: "货款",
        width: "110px",
    },

    {
        prop: "supplierNo",
        label: "供货商编码",
        width: "140px",
    },
    {
        prop: "name",
        label: "供货商",
        width: "180px",
    },
    {
        prop: "person",
        label: "供应商负责人",
        width: "100px",
    },
    {
        prop: "ownerName",
        label: "商品创建人",
        width: "90px",
    },
    {
        prop: "send_info",
        label: "发货状态",
        _slot_: "send_info",
        width: "95px",
    },
    {
        prop: "th_info",
        label: "退货状态",
        _slot_: "th_info",
        width: "95px",
    },
    {
        prop: "payinfo",
        label: "付款状态",
        _slot_: "payinfo",
        width: "95px",
    },
    {
        prop: "pay_fee",
        label: "已付金额",
        width: "110px",
    },
    {
        prop: "wait_fee",
        label: "待付金额",
        width: "110px",
    },
    {
        prop: "invinfo",
        label: "回票状态",
        _slot_: "invinfo",
        width: "95px",
    },
    {
        prop: "inv_open_fee",
        label: "已回票金额",
        width: "110px",
    },
    {
        prop: "inv_wait_fee",
        label: "待回票金额",
        width: "110px",
    },
    {
        prop: "inv_status",
        label: "信息设置状态",
        _slot_: "inv_status",
        width: "100px",
    },
    {
        prop: "inv_company",
        label: "回票编号",
        width: "170px",
    },
    {
        prop: "inv_company_name",
        label: "回票公司",
        width: "180px",
    },

    {
        prop: "DownTime",
        label: "下单时间",
        width: "140px",
    },
]
//输入框搜索类型
const selectKlist = [
    {
        code: "1",
        name: "采购单编码",
    },
    {
        code: "2",
        name: "财务信息编号",
    },
    {
        code: "3",
        name: "业务员名字",
    },
    {
        code: "4",
        name: "商品编号",
    },
]
//回票状态
const options = [
    {
        value: "0",
        label: "未绑定",
    },
    {
        value: "1",
        label: "待审核",
    },
    {
        value: "2",
        label: "已通过",
    },
    {
        value: "3",
        label: "已驳回",
    },
]
//退货状态
const th_status_list = [
    {
        value: "1",
        label: "未退货",
    },
    {
        value: "2",
        label: "部分退货",
    },
    {
        value: "3",
        label: "全部退货",
    },
]
//发货状态
const send_status_list = [
    {
        value: "1",
        label: "未发货",
    },
    {
        value: "2",
        label: "部分发货",
    },
    {
        value: "3",
        label: "全部发货",
    },
]
//付款状态
const pay_status_list = [
    {
        value: "1",
        label: "未付款",
    },
    {
        value: "2",
        label: "部分付款",
    },
    {
        value: "3",
        label: "全部付款",
    },
]
//回票状态
const inv_status_list = [
    {
        value: "1",
        label: "未回票",
    },
    {
        value: "2",
        label: "部分回票",
    },
    {
        value: "3",
        label: "全部回票",
    },
]
//导出表头
const tHeader = [
    "采购单编号",
    "货款",
    "供应商编码",
    "供应商名称",
    "采购员",
    "发货状态",
    "退货状态",
    "付款状态",
    "已付金额",
    "待付金额",
    "回票状态",
    "已回票金额",
    "待回票金额",
    "信息设置状态",
    "回票编号",
    "回票公司",
    "下单时间",
    "商品编号",
    "商品名称",
    "商品描述",
    "单位",
    "数量",
    "含有工差",
    "工期",
    "成本合计",
    "税率",
    "成本裸价",
    "加标费",
    "包装费",
    "证书费",
    "开模费",
    "物流费",
    "工差",
    "商品类型",
    "商品品牌",
    "商品型号",
    "商品材质",
    "商品颜色",
    "金属种类",
    "金属重量",
    "金属价格",
  ]
  //导出字段
  const filterVal = [
    "cgdNO",
    "purchasePrice",
    "supplierNo",
    "name",
    "ownerName",
    "send_info",
    "th_info",
    "payinfo",
    "pay_fee",
    "wait_fee",
    "invinfo",
    "inv_open_fee",
    "inv_wait_fee",
    "inv_status",
    "inv_company",
    "inv_company_name",
    "DownTime",
    "goodNo",
    "goodName",
    "goodDesc",
    "goodUnit",
    "orderNum",
    "isDiff",
    "workDay",
    "pay_price",
    "taxPoint",
    "nakedPrice",
    "markPrice",
    "packPrice",
    "certPrice",
    "openPrice",
    "postPrice",
    "diff_fee",
    "goodType",
    "goodBank",
    "goodModel",
    "goodMaterial",
    "goodColor",
    "goodCat",
    "weight",
    "price",
  ]
export {
    columns,
    selectKlist,
    options,
    th_status_list,
    send_status_list,
    pay_status_list,
    inv_status_list,
    tHeader,
    filterVal 
};
